# coding=utf-8
import json
from django.db.models import Sum, F
from rest_framework.decorators import action
from rest_framework.views import APIView
from django.db import transaction
from django.db.models import Q
from utils.custom_modelviewset import CustomModelViewSet
from .serializers import *
from .filters import *
from utils import response_ok, response_error
from utils.permission import IsAdministrator
from .models import *

class ExamQuestionViewSet(CustomModelViewSet):
    permission_classes = [IsAdministrator, ]
    queryset = ExamQuestion.objects.filter()
    serializer_class = ExamQuestionSerializer

    def filter_queryset(self, queryset):
        queryset = queryset.filter()
        f = ExamQuestionFilter(self.request.GET, queryset=queryset)
        return f.qs
